Repozitář na GitHubu nelze číst
Při tomto problému API vrací stav 422 Unprocessable Content. Hodnota type je https://lingo.dev/docs/api/errors/github-repository-unreadable. Formát společný všem chybám najdete v části Chyby a stavové kódy.
Nelze importovat historii repozitáře <repository>. Instalace GitHub App, kterou toto připojení používá, nemůže tento repozitář číst. Vyberte některý z repozitářů tohoto připojení nebo aplikaci udělte přístup k požadovanému repozitáři na GitHubu.
Pole#
Kromě standardních položek type, status, title a detail obsahuje tělo následující pole. Z nich se sestavuje text detail, takže klient může místo něj zobrazit vlastní text.
| Pole | Typ |
|---|---|
repository | string |
Příklad#
json
{
"detail": "Cannot import the history of <repository>. The GitHub App installation behind this connection cannot read it. Pick one of the connection's repositories, or grant the App access to it on GitHub.",
"repository": "<repository>",
"type": "https://lingo.dev/docs/api/errors/github-repository-unreadable",
"status": 422,
"title": "GitHub repository unreadable"
}Koncové body vracející tuto chybu#
POST /v2/organizations/{orgId}/github/connections/{connectionId}/import-history